# Required Items

### OX Inventory

{% hint style="info" %}
If you are using OX Inventory to add the required item ⇒ **`ox_inventory/data/items.lua`**
{% endhint %}

```lua
["gps"] = {
    label = "GPS",
    weight = 1000,
    stack = true,
    close = true,
},

["vehicle_gps"] = {
    label = "Vehicle GPS",
    weight = 2000,
    stack = true,
    close = true,
},

["vehicle_gps_finder"] = {
    label = "Vehicle GPS Finder",
    weight = 2000,
    stack = true,
    close = true,
},
```

### QBCore / QBox

{% hint style="info" %}
If you are using QBCore || QBox to add the required item ⇒ `qb-core/shared/items.lua || qbx_core/shared/items.lua`
{% endhint %}

{% code fullWidth="false" %}

```lua
gps                       = { name = 'gps', label = 'GPS', weight = 1000, type = 'item', image = 'gps.png', unique = false, useable = true, shouldClose = true, description = 'GPS' },
vehicle_gps               = { name = 'vehicle_gps', label = 'Vehicle GPS', weight = 2000, type = 'item', image = 'vehicle_gps.png', unique = false, useable = true, shouldClose = true, description = 'Vehicle GPS' },
vehicle_gps_finder        = { name = 'vehicle_gps_finder', label = 'Vehicle GPS Finder', weight = 3000, type = 'item', image = 'vehicle_gps_finder.png', unique = false, useable = true, shouldClose = true, description = 'vehicle_gps_finder' },
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-gps-v2/required-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
